Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 1441301 Details for
Bug 1582332
OSP9 -> OSP10: compute upgrade fails with /root/tripleo_upgrade_node.sh: line 69: change_ovs_2_9_user: command not found
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
tripleo_upgrade_node.sh
tripleo_upgrade_node.sh (text/plain), 5.12 KB, created by
Marius Cornea
on 2018-05-24 23:07:27 UTC
(
hide
)
Description:
tripleo_upgrade_node.sh
Filename:
MIME Type:
Creator:
Marius Cornea
Created:
2018-05-24 23:07:27 UTC
Size:
5.12 KB
patch
obsolete
>[root@compute-0 ~]# cat /root/tripleo_upgrade_node.sh >### DO NOT MODIFY THIS FILE >### This file is automatically delivered to the compute nodes as part of the >### tripleo upgrades workflow > >set -eu > ># pin nova to kilo (messaging +-1) for the nova-compute service > >crudini --set /etc/nova/nova.conf upgrade_levels compute mitaka > ># Special-case OVS for https://bugs.launchpad.net/tripleo/+bug/1669714 >update_os_net_config () >{ > set +e; > local need_update="$(yum check-upgrade | grep os-net-config)"; > if [ -n "${need_update}" ]; then > yum -q -y update os-net-config; > local return_code=$?; > echo "`date` yum update os-net-config return code: $return_code"; > if [ -s "/etc/os-net-config/config.json" ]; then > os-net-config --no-activate -c /etc/os-net-config/config.json -v --detailed-exit-codes; > local os_net_retval=$?; > if [[ $os_net_retval == 2 ]]; then > echo "`date` os-net-config: interface configuration files updated successfully"; > else > if [[ $os_net_retval != 0 ]]; then > echo "`date` ERROR: os-net-config configuration failed"; > exit $os_net_retval; > fi; > fi; > else > echo "`date` /etc/os-net-config/config.json doesn't exist or is empty. No need to run os-net-config."; > fi; > fi; > set -e >} >special_case_ovs_upgrade_if_needed () >{ > yum makecache || echo "Yum makecache failed. This can cause failure later on."; > getent group hugetlbfs > /dev/null || groupadd hugetlbfs -g 42477 && groupmod -g 42477 hugetlbfs; > getent passwd openvswitch > /dev/null || useradd -r -d / -s /sbin/nologin -c "Open vSwitch Daemons" openvswitch; > usermod -a -G hugetlbfs openvswitch; > OVS_NEEDS_UPGRADE=$(yum check-upgrade openvswitch | awk '/openvswitch/{print}'); > if [ -z "${OVS_NEEDS_UPGRADE}" ]; then > echo "Looks like newer version of openvswitch is already installed, skipping"; > else > if rpm -qa | grep "^openvswitch-2.5.0-14" || rpm -q --scripts openvswitch | awk '/postuninstall/,/*/' | grep "systemctl.*try-restart"; then > echo "Manual upgrade of openvswitch - ovs-2.5.0-14 or restart in postun detected"; > rm -rf OVS_UPGRADE; > mkdir OVS_UPGRADE && pushd OVS_UPGRADE; > echo "Attempting to downloading latest openvswitch with yumdownloader"; > yumdownloader --resolve openvswitch; > for pkg in $(ls -1 *.rpm); > do > echo "Updating $pkg with --nopostun --notriggerun"; > rpm -U --replacepkgs --nopostun --notriggerun $pkg; > break; > done; > popd; > else > echo "Skipping manual upgrade of openvswitch - no restart in postun detected. Performing automated upgrade"; > yum update -y openvswitch; > fi; > local ovs_version=$(rpm -q --queryformat '%{VERSION}' openvswitch); > local major_version=`echo $ovs_version | cut -d. -f1`; > local minor_version=`echo $ovs_version | cut -d. -f2`; > local version_to_number=$(($major_version*10+$minor_version)); > if (( $version_to_number >= 28 )); then > change_ovs_2_9_user; > change_ovs_2_9_perms; > touch /etc/systemd/system/apply-ovs-runtime-mode-workaround; > fi; > if [ -f "/etc/systemd/system/apply-ovs-runtime-mode-workaround" ]; then > change_ovs_runtime_mode; > fi; > fi >} >special_case_iptables_services_upgrade_if_needed () >{ > yum makecache || echo "Yum makecache failed. This can cause failure later on."; > if yum check-upgrade iptables-services; then > echo "Either iptables-services is not installed or a newer version is already there, skipping workaround."; > fi; > if rpm -q --scripts iptables-services | awk '/postuninstall/,/*/' | grep "systemctl.*try-restart"; then > echo "Manual upgrade of iptables-services - restart in postun detected"; > rm -rf ~/IPTABLES_UPGRADE; > mkdir -p ~/IPTABLES_UPGRADE && pushd ~/IPTABLES_UPGRADE; > echo "Attempting to download latest iptables-services with yumdownloader"; > yumdownloader iptables-services; > pkg="$(ls -1 iptables-services-*.x86_64.rpm)"; > if [ -z "${pkg}" ]; then > echo "Cannot find a valid package for iptables-services, aborting"; > exit 1; > fi; > echo "Updating iptables-services to $pkg with --nopostun --notriggerun --nodeps"; > rpm -U --replacepkgs --nopostun --notriggerun --nodeps ./${pkg}; > systemctl daemon-reload; > popd; > else > echo "Skipping manual upgrade of iptables-services - no restart in postun detected"; > fi >} >update_network () >{ > update_os_net_config; > special_case_ovs_upgrade_if_needed; > special_case_iptables_services_upgrade_if_needed >} >update_network > >yum -y install python-zaqarclient # needed for os-collect-config >yum -y install openstack-nova-migration # needed for libvirt migration via ssh >yum -y update > ># Due to bug#1640177 we need to restart compute agent >echo "Restarting openstack ceilometer agent compute" >systemctl restart openstack-ceilometer-compute >
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 1582332
: 1441301